@import './animations.scss';
@import './colors.scss';

@import '../../components/Card/Card.scss';
@import '../../components/CharacterContent/CharacterContent.scss';
@import '../../components/Header/Header.scss';
@import '../../components/Loading/Loading.scss';
@import '../../components/PageLoading/PageLoading.scss';
@import '../../components/Pagination/Pagination.scss';
@import '../../components/SearchInput/SearchInput.scss';
@import '../../components/SearchResults/SearchResults.scss';

@import '../../templates/MainTemplate/MainTemplate.scss';
@import '../../views/List/List.scss';
@import '../../views/Character/Character.scss';

body {
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#7ad1aa+0,baeba7+100 */
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#1f48a3+0,0f244f+100 */
  background: #1f48a3; /* Old browsers */
  background: -moz-linear-gradient(top, #1f48a3 0%, #0f244f 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #1f48a3 0%,#0f244f 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #1f48a3 0%,#0f244f 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1f48a3', endColorstr='#0f244f',GradientType=0 ); /* IE6-9 */

  font-family: 'Lato', sans-serif;
  margin: 0;
  padding: 0;
  color: var(--green);
  height: 100%;
  min-height: 100vh;
}

a {
  color: black;
  text-decoration: none;
  
  &:hover {
    text-decoration: underline;
  }

  &:active {
    color: black;
    font-weight: 700;
  }
}